Subject: RFC 4515 and RFC 4516

From: Alfred Hönes <[email-masked]>
Date: Fri, 23 Jun 2006 10:52:02 +0200 (MESZ)

Hello,
I'd like to submit a few comments on the recently published
new LDAP RFCs authored by you: RFC 4515 and RFC 4516.

(1)

First of all, I appreciate the detailed discussion of the
document changes as presented in the appendices.

This exposition makes it much more easier for the reader
that did not (have the time to) follow the evolution of the
documents to quickly understand what's new and/or changed.
I wished many more RFC revisions would contain such information!

(2)

Section 2 of RFC 4515 apparently contains redundant legacy
information that might have been removed from the text.

The ASN.1 term, `AttributeValue`, has been replaced by
`AssertionValue` wherever it was used previously.
Hence, in Section 2 (on page 3) of RFC 4515

- the ASN.1 line

        AttributeValue ::= OCTET STRING

  is not needed any more and might have been omitted, and

- in the subsequent explanation, the sentence,

        [...]  The AttributeValue and AssertionValue OCTET STRING have
   the form defined in [RFC4517].  [...]

  might have been shortened to say:

        [...]  The AssertionValue OCTET STRING has the form defined ib
   [RFC4517].  [...]

(3)

The text in Section 4 of RFC 4515 (near the bottom of page 5)
contains an unexpected deviation from the "logical quoting" style
expected in RFCs and formally enforced by RFC Editor policy in
RFC authoring information.
The sentence,

   The first example shows use of the matching rule "caseExactMatch."

should say:

   The first example shows use of the matching rule "caseExactMatch".
                                                                   ^^

(4)

In RFC 4516, I found a small typo (word omission) in Appendix A.2,
in the 4th paragraph on page 12:

   Changed the text indicate that RFC 2255 is replaced ...

should perhaps say:

   Changed the text to indicate that RFC 2255 is replaced ...
                   ^^^^

Items (3) and (4) above might be considered Errata to be posted
to the RFC Editor's RFC Errata web pages.
But, perhaps, this is not worth the effort.

In any case, items (2)..(4) should be noted for future reference,
whenever once another revision of these RFCs is to be produced,
e.g., for advancement on the Standards Track.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+